=== debian/control ===
Source: ros-dashing-urg-node
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-builtin-interfaces, ros-dashing-diagnostic-updater, ros-dashing-laser-proc, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rosidl-default-generators, ros-dashing-sensor-msgs, ros-dashing-std-srvs, ros-dashing-urg-c, ros-dashing-urg-node-msgs, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-dashing-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-dashing-builtin-interfaces, ros-dashing-diagnostic-updater, ros-dashing-laser-proc, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rosidl-default-generators, ros-dashing-sensor-msgs, ros-dashing-std-srvs, ros-dashing-urg-c, ros-dashing-urg-node-msgs, ros-dashing-ros-workspace
Description: urg_node
